Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnStringQualifier Class Reference

gnStringQualifier stores a sequence qualifier in memory. More...

`#include <gnStringQualifier.h>`

Inheritance diagram for gnStringQualifier::

List of all members.

## Public Methods
| gnStringQualifier ()
| Empty constructor. More...
| gnStringQualifier (const string &name, const string &value)
| Create a gnStringQualifier. More...
| gnStringQualifier (const gnStringQualifier &s)
| Copy constructor. More...
| ~gnStringQualifier ()
| Destructor, frees memory. More...
gnStringQualifier* | Clone () const
string | GetName () const
| Get the name of qualifier stored in this class. More...
string | GetValue () const
| Get the qualifier stored in this class. More...
void | SetName (const string &name)
| Set the name of qualifier stored in this class. More...
void | SetValue (const string &value)
| Set the qualifier stored in this class. More...
uint32 | GetNameLength () const
| Get the length of the qualifier name stored in this class. More...
uint32 | GetValueLength () const
| Get the length of the qualifier stored in this class. More...
## Private Attributes
string | m_name
string | m_value

## Detailed Description

gnStringQualifier stores a sequence qualifier in memory.

Use gnStringQualifier for a general purpose qualifier class.

Definition at line 26 of file gnStringQualifier.h.

## Constructor & Destructor Documentation

gnStringQualifier::gnStringQualifier ( | )`[inline]`

| Empty constructor. Definition at line 72 of file gnStringQualifier.h. Referenced by Clone().

gnStringQualifier::gnStringQualifier ( | const string & name,
| const string & value )`[inline]`

  | Create a gnStringQualifier. Parameters:
  name | The qualifier name.
  value | The qualifier.
Definition at line 77 of file gnStringQualifier.h.

gnStringQualifier::gnStringQualifier ( | const gnStringQualifier & s )`[inline]`

  | Copy constructor. Parameters:
  s | The gnStringQualifier to copy.
Definition at line 82 of file gnStringQualifier.h.

gnStringQualifier::~gnStringQualifier ( | )`[inline]`

| Destructor, frees memory. Definition at line 47 of file gnStringQualifier.h.

## Member Function Documentation

gnStringQualifier * gnStringQualifier::Clone ( | ) const`[inline, virtual]`

| Reimplemented from gnBaseQualifier. Definition at line 87 of file gnStringQualifier.h.

string gnStringQualifier::GetName ( | ) const`[inline, virtual]`

| Get the name of qualifier stored in this class. Returns: The qualifier name as a string. Reimplemented from gnBaseQualifier. Definition at line 91 of file gnStringQualifier.h.

uint32 gnStringQualifier::GetNameLength ( | ) const`[inline, virtual]`

| Get the length of the qualifier name stored in this class. Returns: The length of the qualifier name. Reimplemented from gnBaseQualifier. Definition at line 107 of file gnStringQualifier.h.

string gnStringQualifier::GetValue ( | ) const`[inline, virtual]`

| Get the qualifier stored in this class. Returns: The qualifier as a string. Reimplemented from gnBaseQualifier. Definition at line 95 of file gnStringQualifier.h.

uint32 gnStringQualifier::GetValueLength ( | ) const`[inline, virtual]`

| Get the length of the qualifier stored in this class. Returns: The length of the qualifier. Reimplemented from gnBaseQualifier. Definition at line 111 of file gnStringQualifier.h.

void gnStringQualifier::SetName ( | const string & name )`[inline]`

  | Set the name of qualifier stored in this class. Parameters:
  name | The qualifier name as a string.
Definition at line 99 of file gnStringQualifier.h.

void gnStringQualifier::SetValue ( | const string & value )`[inline]`

  | Set the qualifier stored in this class. Parameters:
  value | The header as a string.
Definition at line 103 of file gnStringQualifier.h.

## Member Data Documentation

string gnStringQualifier::m_name`[private]`

| Definition at line 67 of file gnStringQualifier.h.

string gnStringQualifier::m_value`[private]`

| Definition at line 68 of file gnStringQualifier.h.

The documentation for this class was generated from the following file:

- gnStringQualifier.h